/*
 * config.h
 * 
 * By Ross Ridge
 * Public Domain
 *
 * Sample config.h
 *
 * @(#) myjis config.h 1.6 99/01/15 19:18:43
 *
 */


/*
 *	CONFIG_COMPRESSED_DICTIONARY_DIR.  The directory were
 *      the compressed versions of the EDICT databases are
 *      installed, if any.
 *
 * #define CONFIG_COMPRESSED_DICTIONARY_DIR "/usr/local/lib/myjis"
 * #define CONFIG_COMPRESSED_DICTIONARY_DIR "/opt/myjis/lib"
 */

#define CONFIG_COMPRESSED_DICTIONARY_DIR	"/u1/rridge/csc/doc"

/*
 *	CONFIG_DICTIONARY_DIR.  The directory were the EDICT
 *      databases are installed, or are to uncompressed to.
 *
 * #define CONFIG_DICTIONARY_DIR "/usr/local/lib/myjis"
 * #define CONFIG_DICTIONARY_DIR "/opt/myjis/lib"
 * #define CONFIG_DICTIONARY_DIR "/tmp"
 */
#define CONFIG_DICTIONARY_DIR			"/tmp/edict2"

/*
 *
 *	CONFIG_MAIN_DICTIONARY.  The file name of the uncompressed
 *      version of the main EDICT database.
 *
 * #define CONFIG_MAIN_DICTIONARY "edict"
 */

#define CONFIG_MAIN_DICTIONARY			"edict"

/*
 *	CONFIG_NAME_DICTIONARY.  The file name of the uncompressed
 *	version of the EDICT database of names.
 *
 * #define CONFIG_NAME_DICTIONARY="enamdict"
 */
#define CONFIG_NAME_DICTIONARY			"enamdict"

/*
 * These configuaration variables are probably fine left as is.
 */

#define CONFIG_JIS_LOCALE_C			JIS_LOCALE_ASCII
#define CONFIG_SCCS_IDS
#undef CONFIG_EUC_ASCII
#define CONFIG_MAX_AMBIGUOUS 16

/*
 * If your developement system doesn't define the EILSEQ errno value,
 * try uncommenting the following macro defintion.
 */

/* #define EILSEQ 10000 /* */


