/*
 * j_setstl.c
 *
 * By Ross Ridge
 * Public Domain
 *
 */

#include "inline.h"

__JIS_INLINE_SCCS_ID("@(#) myjis j_setstl.c 1.3 98/06/01 22:28:12")

__JIS_INLINE_FUNCTION(
enum jis_locale_ctypes, 
jis_set_state_locale, (jis_state *state, enum jis_locale_ctypes loc), {
	if (loc == JIS_LOCALE_DEFAULT) {
		loc = 0;
	} else if (loc == JIS_LOCALE_QUERY) {
		return __jis_get_locale(state);
	}

	state->locale = loc;
	return loc;
})

#define jis_set_state_locale(state, loc) \
	__JIS_INLINE(__jis_get_locale)(state, loc)


