/*
 * kindex.c
 *
 * By Ross Ridge
 * Public Domain
 *
 * @(#) myjis kindex.c 1.1 97/02/21 01:44:11
 */

#ifndef __JIS_KINDEX_C__
#define __JIS_KINDEX_C__

#if 0
template <class TYPE, int COMPARE(TYPE const &, TYPE const &)>
int
index_compare<TYPE, COMPARE>::search(TYPE key, list<int> &lst) const {
	elt const *match = (elt const *) bsearch((void const *) &key,
						 (void const *) array, len,
						 sizeof(elt), compare_fn);

	if (match == NULL) {
		return 0;
	}

	elt const *p = match;
	do {
		if (lst.add(p->line)) {
			return -1;
		}
		p++;
	} while(p < array + len && COMPARE(key, p->key) == 0);

	p = match;
	while(p > array && COMPARE(key, (--p)->key) == 0) {
		if (lst.add(p->line)) {
			return -1;
		}
	}
	return 0;
}
#endif

template <class TYPE>
auto_free_index<TYPE>::~auto_free_index() {
	int i;
	for (i = 0; i < len; i++) {
		TYPE p = array[i].key;
		if (p != NULL) {
			free(p);
		}
	}
}

#endif /* __JIS_KINDEX_C__ */

