/*
 * w_dup.c
 *
 * By Ross Ridge
 * Public Domain
 *
 * @(#) myjis w_dup.c 1.1 99/01/15 18:22:33
 *
 */

#include "defs.h"

#ifdef CONFIG_SCCS_IDS
static char const sccs_id[] = "@(#) myjis w_dup.c 1.1 99/01/15 18:22:33";
#endif

wide_char *
wide_dup(wide_char const *ws) {
	size_t len = (wide_len(ws) + 1) * sizeof(wide_char);
	wide_char *ret;
	
	ret = malloc(len);
	if (ret == NULL) {
		return ret;
	}
	memcpy(ret, ws, len);
	return ret;
}
