/*
 * widedef.h
 *
 * By Ross Ridge
 * Public Domain
 *
 * @(#) myjis widedef.h 1.1 98/06/01 22:30:34
 *
 */

#ifndef __JIS_WIDEDEF_H__
#define __JIS_WIDEDEF_H__

#include "config-sh.h"

#ifdef __JIS_CONFIG_USE_UNICODE

typedef long __jis_wide_char;
typedef long __jis_wide_int;

#define __JIS_WIDE_EOF ((wide_int) -1)

#else /* __JIS_CONFIG_USE_UNICODE */

typedef unsigned short __jis_wide_char;
typedef long __jis_wide_int;

#define __JIS_WIDE_EOF ((wide_int) -1)

#endif /* __JIS_CONFIG_USE_UNICODE */

#endif /* __JIS_WIDEDEF_H__ */
