/*
 * j_ktow.c
 *
 * By Ross Ridge
 * Public Domain
 *
 */

#include "defs.h"

#ifdef CONFIG_SCCS_IDS
static char const sccs_id[] = "@(#) myjis j_ktow.c 1.3 98/06/01 22:28:10";
#endif

wide_int
jis_kuten_to_wide(enum jis_table table, int ku, int ten) {
	enum char_domain cdtbl;
	switch(table) {
	case JIS_X_0208_1990: cdtbl = J1990; break;
	case JIS_X_0212_1990: cdtbl = J0212; break;
	default: 
		return WIDE_EOF;
	}
#ifdef CONFIG_USE_UNICODE
	return (wide_int) __jis_kuten_to_unicode(cdtbl, ku, ten);
#else
	return (wide_int) __jis_kuten_to_euc(cdtbl, ku, ten);
#endif
}

