/*
 * j_r2kt.c
 *
 * By Ross Ridge
 * Public Domain
 *
 * Definition of __jis_r2k_table[].
 *
 */

#include "defs.h"

#ifdef CONFIG_SCCS_IDS
static char const sccs_id[] = "@(#) myjis j_r2kt.c 1.2 96/11/24 06:14:05";
#endif

#define HEPBURN		JIS_R2K_HEPBURN	
#define KUNREI		JIS_R2K_KUNREI
#define NIPPON		JIS_R2K_NIPPON
#define ALL		JIS_R2K_ALL
#define KATAKANA	JIS_R2K_KATAKANA
#define OBSOLETE	JIS_R2K_OBSOLETE
#define PARTICLE	JIS_R2K_PARTICLE
#define EXTENDED	JIS_R2K_EXTENDED

struct jis_r2k_kana const __jis_r2k_table[] = {
#include "r2ktable.c"
};

size_t const __jis_r2k_table_len = sizeof __jis_r2k_table
				   / sizeof *__jis_r2k_table;

struct jis_r2k_kana const __jis_r2k_n = { "n", { K_N }, JIS_R2K_ALL };
struct jis_r2k_kana const __jis_r2k_n_ = { "n'", { K_N }, JIS_R2K_ALL };
struct jis_r2k_kana const __jis_r2k_long = { "--", { K_LONG },
					     JIS_R2K_KATAKANA };

