/*
 * w_to_hs.c
 *
 * By Ross Ridge
 * Public Domain
 *
 * Implementation of wide_to_hiragana_str().
 *
 */

#include "defs.h"

#ifdef CONFIG_SCCS_IDS
static char const sccs_id[] = "@(#) myjis w_to_hs.c 1.1 96/10/24 18:31:18";
#endif

wide_char *
wide_to_hiragana_str(wide_char *s) {
	wide_char *ret = s;
	while(*s != (wide_char) 0) {
		*s = wide_to_hiragana(*s);
		s++;
	}
	return ret;
}

